import type * as React from "react";
import type { IconProps } from "@metabase/embedding-sdk-react/dist/frontend/src/metabase/ui";
declare function ItemIcon({ className, ...props }: {
    className?: string;
} & IconProps): import("react/jsx-runtime").JSX.Element;
interface SidebarItemProps extends React.HTMLAttributes<HTMLDivElement> {
    as?: React.ComponentType<any>;
    disabled?: boolean;
    padded?: boolean;
    children: React.ReactNode;
}
export declare function SidebarItem({ as, ...props }: SidebarItemProps): import("react/jsx-runtime").JSX.Element;
export declare namespace SidebarItem {
    var Selectable: typeof SelectableSidebarItem;
    var Content: import("@emotion/styled").StyledComponent<{
        theme?: import("@emotion/react").Theme | undefined;
        as?: React.ElementType<any, keyof React.JSX.IntrinsicElements> | undefined;
    }, React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
    var Name: import("@emotion/styled").StyledComponent<{
        theme?: import("@emotion/react").Theme | undefined;
        as?: React.ElementType<any, keyof React.JSX.IntrinsicElements> | undefined;
    }, React.DetailedHTMLProps<React.HTMLAttributes<HTMLHeadingElement>, HTMLHeadingElement>, {}>;
    var Icon: typeof ItemIcon;
    var CloseIcon: ({ className, onClick, }: {
        className?: string | undefined;
        onClick?: React.MouseEventHandler<Element> | undefined;
    }) => import("react/jsx-runtime").JSX.Element;
}
interface SelectableSidebarItem extends Omit<SidebarItemProps, "as"> {
    isSelected: boolean;
}
declare function SelectableSidebarItem(props: SelectableSidebarItem): import("react/jsx-runtime").JSX.Element;
export {};
